#pragma once
#include "afxwin.h"


// CDialogTempSet 对话框

class CDialogTempSet : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogTempSet)

public:
	CDialogTempSet(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogTempSet();

// 对话框数据
	enum { IDD = IDD_DIALOG_TEMP_SET };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedButtonTempSetDefault();
	CComboBox m_ComboTempSetAlmSw;
	CComboBox m_ComboTempSetAlmLevel;
	CComboBox m_ComboTempSetAlmRec;
	CEdit m_EditTempSetAlmH;
	CEdit m_EditTempSetAlmL;
	CComboBox m_ComboTempSetUnit;
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedOk();
	afx_msg void OnCbnSelchangeComboTempSetAlmSw();
	afx_msg void OnCbnSelchangeComboTempSetAlmLevel();
	afx_msg void OnCbnSelchangeComboTempSetAlmRec();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
private:
	CString input_TempAlmH_check(CString & cs);
	CString input_TempAlmL_check(CString & cs);
};
